
/////////////////////////////////////////////////////////
//
//  zLib.cc - header file
//
//
// by Fadi Aloul, University of Michigan
// (c) Copyrights Fadi Aloul, 2002.
//
/////////////////////////////////////////////////////////


#ifndef __ZLIB_H__
#define __ZLIB_H__


#include "util.h"
#include "cuddInt.h"

/* zCountLit.c */
EXTERN double Cudd_zddCountLitDouble ARGS((DdManager *zdd, DdNode *P));

/* zCountSpace.c */
EXTERN double Cudd_zddCountSpace ARGS((DdManager * zdd, DdNode * P,
			       double *lo, double *hi, double doExact));

/* zSubsume.c */
EXTERN DdNode * Cudd_zddNoSub ARGS((DdManager *dd, DdNode *P));
EXTERN DdNode * Cudd_zddNoSubA ARGS((DdManager *dd, DdNode *P));

/* Union - zUnion.c */
EXTERN DdNode * Cudd_zddUnionS ARGS((DdManager *dd, DdNode *P, DdNode *Q)); 
EXTERN DdNode * Cudd_zddUnionSA ARGS((DdManager *dd, DdNode *P, DdNode *Q)); 
EXTERN DdNode * Cudd_zddUnionReg ARGS((DdManager *dd, DdNode *P, DdNode *Q)); 



/* Internals */
EXTERN DdNode   * cuddZddUnionReg ARGS((DdManager *dd, DdNode *f, DdNode *g));
EXTERN DdNode   * cuddZddUnionSA ARGS((DdManager *dd, DdNode *f, DdNode *g));
EXTERN DdNode   * cuddZddUnionS ARGS((DdManager *dd, DdNode *f, DdNode *g));

EXTERN DdNode   * cuddZddSubDiff ARGS((DdManager *dd, DdNode *f, DdNode *g));
EXTERN DdNode   * cuddZddNoSubAF ARGS((DdManager *dd, DdNode *f));
EXTERN DdNode   * cuddZddNoSubA ARGS((DdManager *dd, DdNode *f));
EXTERN DdNode   * cuddZddNoSub ARGS((DdManager *dd, DdNode *f));


///////////////////// END /////////////////////

#endif /* __ZLIB_H__ */
